# /entitlements/grants - Grants report with filters **GET /entitlements/grants** Paginated grants report. The owner organization and Super Admins see the whole fleet; other users only the grants of systems in their hierarchy. ## Servers - Backend API server (port 8080): https://api.your-domain.com/api (Backend API server (port 8080)) - Collect API server (port 8081): https://collect.your-domain.com/api (Collect API server (port 8081)) ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **entitlement** (string) Filter by catalog id - **organization_id** (string) Filter by the organization owning the system - **source** (string) Filter by grant source - **active** (string) When "true", only active grants (not revoked, not expired) - **expiring_before** (string(date-time)) Only grants expiring before this RFC3339 timestamp - **page** (integer) Page number - **page_size** (integer) Page size (max 200) ## Responses ### 200 Grants retrieved successfully #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object) ### 400 expiring_before is not a valid RFC3339 timestamp #### Body: application/json (object) - **code** (integer) HTTP error code - **message** (string) Error message - **data** (object) ### 401 Unauthorized - invalid or missing token #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object | null) ### 403 Forbidden - insufficient permissions #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object | null) ### 500 Internal server error #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object | null) [Powered by Bump.sh](https://bump.sh)